## openmsx 17.0

=== meson_options.txt ===
option('alsamidi', type : 'feature', value : 'auto',
    description : 'MIDI out pluggable using ALSA (Linux-only)'
    )
option('glrenderer', type : 'feature', value : 'auto',
    description : 'renderer that uses OpenGL'
    )
option('laserdisc', type : 'feature', value : 'auto',
    description : 'emulation of Laserdisc players'
    )

=== debian/changelog ===
openmsx (17.0-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against libglew2.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 13:26:58 +0000

openmsx (17.0-1ubuntu2) impish; urgency=medium

  * Hardcode sigStackSize to 32768 to avoid test failure with glibc 2.34

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 18 Aug 2021 08:38:10 +0000

openmsx (17.0-1ubuntu1) impish; urgency=medium

  * Really enable build on riscv64

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 24 Jul 2021 15:17:41 +0000

openmsx (17.0-1) unstable; urgency=medium

  * New upstream release. Closes: #984273
  * Update standards version to 4.5.1. (No changes needed.)
  * Update contact info and years in copyright file.
  * Add autopkgtests.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 25 Jun 2021 00:01:16 +0200

=== debian/control ===
Source: openmsx
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
Standards-Version: 4.5.1
Homepage: https://openmsx.org

Package: openmsx
Architecture: any
Depends: openmsx-data (= ${source:Version}), cbios (>= 0.23), ${shlibs:Depends}, ${misc:Depends}
Suggests: openmsx-catapult, openmsx-debugger, dmktools
Conflicts: openmsx-catapult (<< 16)
Provides: msx-emulator
Description: MSX emulator that aims for perfection
 openMSX is an open source MSX emulator that uses a unique emulation model,
 which tries to achieve the highest level of accuracy possible. It allows
 emulating a large number of different MSX machines. Combined with the
 C-BIOS ROM-files that are available in a separate package, you can run game
 ROM-files without the need for non-free BIOS ROM files.

Package: openmsx-data
Architecture: all
Depends: ${misc:Depends}, ttf-bitstream-vera
Recommends: openmsx
Description: datafiles for openMSX, an MSX emulator
 openMSX is an open source MSX emulator that uses a unique emulation model,
 which tries to achieve the highest level of accuracy possible.
 .
 This package provides data that openmsx needs to run.

Package: dmktools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openmsx
Conflicts: openmsx (<< 0.14.0-2)
Description: tools for manipulating floppy disk images in the dmk format
 Emulators such as OpenMSX attempt to emulate a real machine as best as
 possible. Some copy protection schemes rely on unformatted or bad sectors on
 floppy disks. The dmk format allows disk images to contain such unusual
 configurations. This package contains tools for generating and manipulating
 dmk image files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_testdir
	$(MAKE) V=2 OPENMSX_FLAVOUR=debian
	docbook-to-man doc/openmsx.sgml > debian/openmsx.1
	$(MAKE) -C Contrib/dmk

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -rf Contrib/dmk/build/
	rm -rf derived/
	rm -f debian/openmsx.1
	rm -rf build/__pycache__
	dh_clean 

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp OPENMSX_FLAVOUR=debian
	rm debian/tmp/usr/share/openmsx/skins/Vera.ttf.gz
	rm debian/tmp/usr/share/openmsx/skins/VeraMono.ttf.gz
	rm debian/tmp/usr/share/doc/openmsx-data/release-history.txt
	rm debian/tmp/usr/share/doc/openmsx-data/GPL.txt
	dh_install -X release-history.txt
	dh_installchangelogs -i doc/release-history.txt
	dh_installman -a debian/openmsx.1
	dh_link -a usr/share/doc/openmsx-data usr/share/doc/openmsx

override_dh_auto_test:
	# No testsuite available.
	# This makes sure dh doesn't attempt to run it anyway (see #718133)

=== debian/tests/control ===
Tests: run
Depends: xvkbd, xvfb, xauth, openmsx
Restrictions: allow-stderr

Tests: unit
Depends: @builddeps@
Restrictions: rw-build-tree

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)RELEASE_(.*)/openmsx-$1/,uversionmangle=s/_/./g" \
https://github.com/openMSX/openMSX/releases/(?:.*?)_([0-9_]+).tar.gz debian uupdate

## openmsx 18.0

=== debian/changelog ===
openmsx (18.0-1ubuntu1) kinetic; urgency=medium

  * Strip -ffat-lto-objects from LDFLAGS to avoid
    '-f may not be used without -shared' link error,
    see #1015568

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 25 Aug 2022 07:03:27 +0000

openmsx (18.0-1) unstable; urgency=medium

  * New upstream release.
  * Build system now supports riscv64. Closes: #1010148
  * Update standards version to 4.6.1. No changes needed.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 13 Jun 2022 21:41:00 +0200

openmsx (17.0-2) unstable; urgency=medium

  * Use catch2 package instead of bundled version. Closes: #993512
  * Switch to font from fonts-dejavu-core. Closes: #998269

 -- Bas Wijnen <wijnen@debian.org>  Fri, 22 Apr 2022 11:18:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
-Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev, catch2
+Standards-Version: 4.6.1
 Homepage: https://openmsx.org
 
 Package: openmsx
@@ -22,7 +22,7 @@
 
 Package: openmsx-data
 Architecture: all
-Depends: ${misc:Depends}, ttf-bitstream-vera
+Depends: ${misc:Depends}, fonts-dejavu-core
 Recommends: openmsx
 Description: datafiles for openMSX, an MSX emulator
  openMSX is an open source MSX emulator that uses a unique emulation model,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_LDFLAGS_MAINT_STRIP=-ffat-lto-objects
 
 %:
 	dh $@

## openmsx 19.0

=== debian/changelog ===
openmsx (19.0-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Strip -ffat-lto-objects from LDFLAGS to avoid
      '-f may not be used without -shared' link error,
      see #1015568

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 04 Aug 2023 15:40:21 +0000

openmsx (19.0-1) unstable; urgency=medium

  * New release. Closes: #1037804
  * Add tsx2wav executable to dmktools package.
  * Add tsx2wav manual page.
  * Update watch file.
  * Update standards version to 4.6.2. No changes needed.
  * Remove obsolete versions from dependencies.
  * Fix build method for unit autopkgtest.
  * Call window by ID in run autopkgtest.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 03 Aug 2023 16:10:18 +0200
 

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev, catch2
-Standards-Version: 4.6.1
+Build-Depends: debhelper (>= 10), dpkg-dev, docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev, libogg-dev, libao-dev, libfreetype-dev, catch2
+Standards-Version: 4.6.2
 Homepage: https://openmsx.org
 
 Package: openmsx
 Architecture: any
-Depends: openmsx-data (= ${source:Version}), cbios (>= 0.23), ${shlibs:Depends}, ${misc:Depends}
+Depends: openmsx-data (= ${source:Version}), cbios, ${shlibs:Depends}, ${misc:Depends}
 Suggests: openmsx-catapult, openmsx-debugger, dmktools
-Conflicts: openmsx-catapult (<< 16)
 Provides: msx-emulator
 Description: MSX emulator that aims for perfection
  openMSX is an open source MSX emulator that uses a unique emulation model,
@@ -34,10 +33,12 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: openmsx
-Conflicts: openmsx (<< 0.14.0-2)
 Description: tools for manipulating floppy disk images in the dmk format
  Emulators such as OpenMSX attempt to emulate a real machine as best as
  possible. Some copy protection schemes rely on unformatted or bad sectors on
  floppy disks. The dmk format allows disk images to contain such unusual
  configurations. This package contains tools for generating and manipulating
  dmk image files.
+ .
+ This package also contains tsx2wav, a tool for converting the binary format
+ for MSX cassette tape images into audio files.

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,17 @@
 	$(MAKE) V=2 OPENMSX_FLAVOUR=debian
 	docbook-to-man doc/openmsx.sgml > debian/openmsx.1
 	$(MAKE) -C Contrib/dmk
+	$(MAKE) -C Contrib/tsx
 
 override_dh_auto_clean:
 	dh_testdir
 	dh_testroot
 	$(MAKE) clean
 	rm -rf Contrib/dmk/build/
+	rm -rf Contrib/tsx/build/
 	rm -rf derived/
 	rm -f debian/openmsx.1
+	rm -f src/unittest/catch.hpp
 	rm -rf build/__pycache__
 	dh_clean

## openmsx 19.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_STRIP=-ffat-lto-objects
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

## openmsx 19.1+dfsg

=== meson_options.txt ===
option('alsamidi', type: 'feature', value: 'auto',
    description: 'MIDI out pluggable using ALSA (Linux-only)'
)
option('glrenderer', type: 'feature', value: 'auto',
    description: 'renderer that uses OpenGL'
)
option('laserdisc', type: 'feature', value: 'auto',
    description: 'emulation of Laserdisc players'
)

=== debian/changelog ===
openmsx (19.1+dfsg-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:06:05 +1100

openmsx (19.1+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:40:42 +0000

openmsx (19.1+dfsg-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. (LP: #2044565) Remaining changes:
    - Strip -ffat-lto-objects from LDFLAGS to avoid
      '-f may not be used without -shared' link error,
      see #1015568
    - Only exclude the rom files from Contrib/cbios, the XML files should
      stay.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 15 Dec 2023 20:11:34 +0000

openmsx (19.1+dfsg-1) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Override spurious source-is-missing Lintian errors.
  * Don't build-depend on dpkg-dev, it's guaranteed to be installed in a
    Debian build environment.
  * Repack the upstream tarball to remove prebuilt binaries lacking source
    code. (Closes: #1056780)
  * Set 'DEB_BUILD_MAINT_OPTIONS = hardening=+all' in debian/rules.
  * Remove debian/source/include-binaries, every file listed in it doesn't
    exist.
  * Set 'Rules-Requires-Root: no' in debian/control.
  * Use debhelper 13 rather than debhelper 10.
    - Changed "debhelper (>= 10)" to "debhelper-compat (= 13)" in
      debian/control.
    - Deleted debian/compat.
  * Override spurious package-contains-documentation-outside-usr-share-doc
    Lintian gripes.
  * Created debian/upstream/metadata file.
  * Switch back to using vendored catch2, the catch2 Debian package now ships
    catch2 v3 whereas openMSX uses catch2 v2.
  * Overhauled copyright file.

  [ Bas Wijnen ]
  * Revert overriding Lintian's source-is-missing error.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 10 Dec 2023 19:47:57 +0100

openmsx (19.1-1) unstable; urgency=medium

  * New upstream release.
  * Actually include new watch file in source package.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 01 Sep 2023 08:39:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 10), dpkg-dev, docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev, libogg-dev, libao-dev, libfreetype-dev, catch2
+Build-Depends: debhelper-compat (= 13), docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev, libogg-dev, libao-dev, libfreetype-dev
 Standards-Version: 4.6.2
 Homepage: https://openmsx.org
+Rules-Requires-Root: no
 
 Package: openmsx
 Architecture: any

=== debian/watch ===
version=4
opts="dversionmangle=auto,\
repacksuffix=+dfsg,\
searchmode=plain,\
filenamemangle=s%RELEASE_(\d+)_(\d+)%@PACKAGE@_$1.$2.orig.tar.gz%,\
uversionmangle=s%(\d+)_(\d+)%$1.$2%" \
https://api.github.com/repos/openMSX/openMSX/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/RELEASE_(\d+_\d+)

## openmsx 20.0+dfsg

=== debian/changelog ===
openmsx (20.0+dfsg-1.2build1) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:22:38 -0500

openmsx (20.0+dfsg-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix build failure with GCC 14.3/15.1. See PR libstdc++/120415 (closed as
    invalid). The code claims to be c++20 compliant, but isn't. This is already
    fixed upstream ("Replace our remaining 'view's with 'std::views'").
    Closes: #1106355.

 -- Matthias Klose <doko@debian.org>  Fri, 23 May 2025 18:56:41 +0200

openmsx (20.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add back the changelog for the NMU done in 19.1+dfsg-1.1
  * Source only reupload to allow testing migration (Closes: #1100133)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Mar 2025 07:19:51 +0100

openmsx (20.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1069797)
  * Update watch file to run uupdate.
  * Specify C++20 in Makefile of dmktools.
  * Update and remove obsolete entries from debian/copyright.
  * Remove executable flag from data file.
  * Update standards-version to 4.7.0. No changes needed. 
  * Remove -m argument from compiler command line. (Closes: #889863)
  * Add link time optimization flags in upstream build system, and explicitly
    do not also add them through the debian/rules variable.
  * Disable the link time optimization flags because of compile errors.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 09 Mar 2025 09:01:44 +0100

openmsx (19.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ wuruilong <wuruilong@loongson.cn> ]
  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Cherry-pick upstream patch to support loongarch64 (Closes: #1069797)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Mar 2025 13:39:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: openmsx
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper-compat (= 13), docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev, libogg-dev, libao-dev, libfreetype-dev
-Standards-Version: 4.6.2
+Maintainer: Bas Wijnen <wijnen@debian.org>
+Build-Depends: debhelper-compat (= 13), docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev, libogg-dev, libao-dev, libfreetype-dev, libimgui-dev
+Standards-Version: 4.7.0
 Homepage: https://openmsx.org
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: run
Depends: xvkbd, xvfb, xauth, openmsx, x11-utils
Restrictions: allow-stderr

Tests: unit
Depends: @builddeps@
Restrictions: rw-build-tree

=== debian/watch ===
version=4
opts="dversionmangle=auto,\
repacksuffix=+dfsg,\
searchmode=plain,\
filenamemangle=s%RELEASE_(\d+)_(\d+)%@PACKAGE@_$1.$2.orig.tar.gz%,\
uversionmangle=s%(\d+)_(\d+)%$1.$2%" \
https://api.github.com/repos/openMSX/openMSX/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/RELEASE_(\d+_\d+) \
debian uupdate

## openmsx 21.0%2Bdfsg

=== debian/changelog ===
openmsx (21.0+dfsg-3) unstable; urgency=medium

  * Updated build flags to make them better. (Closes: 1124668)

 -- Bas Wijnen <wijnen@debian.org>  Sat, 07 Feb 2026 12:47:28 +0100

openmsx (21.0+dfsg-2) unstable; urgency=medium

  * Applied patch from Simon McVittie to fix build flags. (Closes: 1015568)
  * Updated Standards-Version to 4.7.3.
  * Removed Priority from debian/control.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 29 Dec 2025 14:41:13 +0100

openmsx (21.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1114756, #1121755)
  * Removed and updated patches that were (partially) applied upstream.
  * Updated Standards-Version to 4.7.2. (No changes needed.)
  * Removed Suggests for obsolete openmsx-catapult and openmsx-debugger.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 14 Dec 2025 02:30:41 +0100

## openmsx 21.0+dfsg

=== Contrib/dmk/Makefile ===
TARGETS = analyze-dmk combine-dmk der2dmk dsk2dmk empty-dmk svi2dmk svicpm2dmk

all: $(addprefix build/,$(TARGETS))

CXXFLAGS += -std=c++23 -Wall -Wextra -O3

build/%.o:%.cc Makefile
	mkdir -p build
	g++ -c $(CXXFLAGS) $< -o $@

%:%.o Makefile
	g++ $< -o $@

clean:
	rm -rf build

=== Contrib/tsx/Makefile ===
all: build/tsx2wav

CXXFLAGS += -I../../src/utils -I../../src/cassette -Wall -Wextra -O3 -std=c++23

build/%.o:%.cc Makefile
	mkdir -p build
	g++ -c $(CXXFLAGS) $< -o $@

build/TsxParser.o: ../../src/cassette/TsxParser.cc
	mkdir -p build
	g++ -c $(CXXFLAGS) $< -o $@

%: %.o build/TsxParser.o Makefile
	g++ $(filter %.o,$^) -o $@

clean:
	rm -rf build

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: openmsx
 Section: otherosfs
-Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
 Build-Depends: debhelper-compat (= 13), docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev, libogg-dev, libao-dev, libfreetype-dev, libimgui-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://openmsx.org
 Rules-Requires-Root: no
 
 Package: openmsx
 Architecture: any
 Depends: openmsx-data (= ${source:Version}), cbios, ${shlibs:Depends}, ${misc:Depends}
-Suggests: openmsx-catapult, openmsx-debugger, dmktools
+Suggests: dmktools
 Provides: msx-emulator
 Description: MSX emulator that aims for perfection
  openMSX is an open source MSX emulator that uses a unique emulation model,

=== debian/tests/control ===
Tests: run
Depends: @, xvkbd, xvfb, xauth, x11-utils
Restrictions: allow-stderr, flaky

Tests: unit
Depends: @builddeps@
Restrictions: rw-build-tree
